.comment_mod {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
  box-sizing: border-box;
  padding: 20px 20px 10px;
  background-color: #FFFFFF;
  margin: 20px auto;
}
.comment_mod .comment_mod_hd {
  display: flex;
  align-items: center;
  border-bottom: solid 2px #333333;
}
.comment_mod .comment_mod_hd .title {
  width: auto;
  font-weight: bold;
  font-size: 20px;
  line-height: 24px;
  color: #333;
  padding: 0 6px 8px;
  position: relative;
}
.comment_mod .comment_mod_hd .title::after {
  content: '';
  width: 100%;
  height: 2px;
  border-radius: 1px;
  background-color: #285A8F;
  position: absolute;
  bottom: 0;
  left: 0;
  transform: translate(0, 1.8px);
}
.comment_mod .comment_mod_bd {
  font-size: 0;
}
.comment_mod .comment_list {
  display: flex;
  flex-direction: column;
  gap: 14px;
}
.comment_mod .comment_item {
  width: 100%;
  box-sizing: border-box;
  padding-bottom: 14px;
  border-bottom: 1px solid #d4d4d4;
  display: flex;
  gap: 10px;
}
.comment_mod .comment_item .comment_avatar {
  width: 48px;
  height: 48px;
  border-radius: 50%;
}
.comment_mod .comment_item .box {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
}
.comment_mod .comment_item .name {
  font-size: 14px;
  color: #285A8F;
  line-height: 22px;
}
.comment_mod .comment_item .start_box {
  display: inline-flex;
  align-items: center;
  position: relative;
  height: 14px;
}
.comment_mod .comment_item .start_source {
  height: 100%;
  width: auto;
}
.comment_mod .comment_item .start_inner {
  height: 100%;
  display: inline-block;
  background: url("../img/five_stars_fill.svg") no-repeat;
  background-size: auto 100%;
  background-position: left center;
  position: absolute;
  left: 0;
  top: 0;
}
.comment_mod .comment_item .text {
  margin: 10px 0 0;
  font-size: 14px;
  color: #666;
  line-height: 22px;
}
.comment_mod .comment_item .time {
  margin: 6px 0 0;
  font-size: 14px;
  color: #999;
  line-height: 22px;
}
.comment_mod .comment_show_more {
  width: 260px;
  line-height: 36px;
  font-size: 14px;
  color: #285A8F;
  border: 1px solid #285A8F;
  text-align: center;
  border-radius: 4px;
  margin: 14px auto;
  cursor: pointer;
  transition: all linear 0.2s;
}
.comment_mod .comment_show_more:hover {
  background-color: #285A8F;
  color: #ffffff;
}
.comment_mod .comment_write .comment_input_box {
  position: relative;
}
.comment_mod .comment_write .comment_write_text {
  display: block;
  white-space: word-break;
  font-size: 14px;
  line-height: 22px;
  height: 110px;
  border-radius: 4px;
  border: 1px solid #d4d4d4;
  width: 100%;
  box-sizing: border-box;
  padding: 6px;
  resize: none;
}
.comment_mod .comment_write .comment_write_other {
  display: flex;
  border: 1px solid #d4d4d4;
  border-radius: 4px;
  padding: calc(4px + 10px) 10px;
  margin-top: -4px;
  justify-content: space-between;
  align-items: center;
  border-top: none;
  box-sizing: border-box;
  background-color: #F2F5F9;
}
.comment_mod .comment_write .comment_write_emoji {
  font-size: 24px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.comment_mod .comment_write .start_box {
  display: inline-flex;
  align-items: center;
  position: relative;
  height: 14px;
  cursor: pointer;
}
.comment_mod .comment_write .start_source {
  height: 100%;
  width: auto;
}
.comment_mod .comment_write .start_inner {
  height: 100%;
  display: inline-block;
  background: url("../img/five_stars_fill.svg") no-repeat;
  background-size: auto 100%;
  background-position: left center;
  position: absolute;
  left: 0;
  top: 0;
}
.comment_mod .comment_write_msg {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 10px auto;
}
.comment_mod .comment_write_msg .user_box {
  display: flex;
  align-items: center;
  gap: 6px;
}
.comment_mod .comment_write_msg .user_img {
  width: 32px;
  height: 32px;
  border-radius: 50%;
}
.comment_mod .comment_write_msg .name {
  font-size: 14px;
  color: #333;
  line-height: 32px;
  border: none;
  padding: 0;
  width: 300px;
  border-bottom: 1px solid #d4d4d4;
}
.comment_mod .comment_write_msg .submit_btn {
  padding: 0 14px;
  line-height: 32px;
  border-radius: 4px;
  font-size: 14px;
  color: #285A8F;
  border: 1px solid #285A8F;
  display: inline-flex;
  align-items: center;
  transition: all linear 0.2s;
  gap: 4px;
  cursor: pointer;
}
.comment_mod .comment_write_msg .submit_btn::after {
  content: "";
  width: 10px;
  height: 10px;
  clip-path: polygon(100% 100%, 0% 100%, 100% 0);
  background-color: #285A8F;
  display: inline-block;
  transform: rotate(-45deg);
  border-radius: 4px;
  transition: all linear 0.2s;
}
.comment_mod .comment_write_msg .submit_btn:hover {
  background-color: #285A8F;
  color: #ffffff;
}
.comment_mod .comment_write_msg .submit_btn:hover::after {
  background-color: #ffffff;
}
.comment_mod .comment_write_emoji_list {
  border: 1px solid  transparent;
  border-radius: 4px;
  width: 100%;
  height: 0;
  overflow: hidden;
  display: flex;
  font-size: 24px;
  line-height: 1;
  background-color: #FFFFFF;
  flex-wrap: wrap;
  gap: 10px;
  box-sizing: border-box;
  transition: all linear 0.2s;
}
.comment_mod .comment_write_emoji_list.is_active {
  padding: 20px;
  height: 252px;
  border-color: #d4d4d4;
}
.comment_mod .comment_write_emoji_list .emoji_item {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  border-radius: 4px;
  box-sizing: border-box;
  padding: 5px;
  transition: all ease-in 0.1s;
}
.comment_mod .comment_write_emoji_list .emoji_item:hover {
  background-color: #285A8F;
}
